# XQilla DOM3 API Documentation

# DOMNodeIterator.hpp File Reference

`#include <xercesc/dom/DOMNodeFilter.hpp>`
`#include <xercesc/dom/DOMNode.hpp>`
Include dependency graph for DOMNodeIterator.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | xercesc::DOMNodeIterator
| `DOMNodeIterators` are used to step through a set of nodes, e.g. More...

## Namespaces

namespace | xercesc

| This class holds the list of registered DOMImplementations.

## Defines

#define | XERCESC_INCLUDE_GUARD_DOMNODEITERATOR_HPP
#define | GetDOMNodeIteratorMemoryManager GET_DIRECT_MM(fDocument)

## Define Documentation

#define GetDOMNodeIteratorMemoryManager GET_DIRECT_MM(fDocument)

#define XERCESC_INCLUDE_GUARD_DOMNODEITERATOR_HPP